# ag-requirejs-angular-minify-fix

Automatic fixing of angular methods for minification  
  
Used with [grunt-contrib-requirejs](https://github.com/gruntjs/grunt-contrib-requirejs)

## Usage

```
npm install ag-requirejs-angular-minify-fix --save-dev
```

In your javascript files, add function `$ng` name to enable fix to find your angular functions.

```javascript
angular.controller("foo", function $ng($scope, $location, Foo) {
	// code here
});
```

Function is automatically converted into:

```javascript
angular.controller("foo", ["$scope", "$location", "Foo", function ($scope, $location, Foo) {
	// code here
}]);
```

*Gruntfile.js*

```javascript
requirejs: {
	compile: {
		options: {
			// other options ...
			onBuildRead: require('ag-requirejs-angular-minify-fix')
		}
	}
}
```